/*********************************************************************
 *
 *                  A50akord.h
 *                  A50akord
 *
 * v.1.0 - 06.08.2021, L.Pekny
 ********************************************************************/

#ifndef __A50AKORD_H__
#define __A50AKORD_H__


#define VoiceM					1
#define VoiceMP					2
#define VoiceMB					4
#define VoiceL					8
#define VoiceH					16

#define ChanKey					0		// Channel 1, Keyboard
#define ChanM					4		// Channel 5, Mid
#define ChanMP					ChanM+1	// Channel 6, Mid+Pitch
#define ChanMB					ChanM+2	// Channel 7, Mid-Pitch
#define ChanL					ChanM+3	// Channel 8, Low
#define ChanH					ChanM+4	// Channel 9, Hi

#define VolKey					64		// Default Volume, Keyboard
#define Detune					16		// Pitch *100/128 cent, 4Hz, A4
#define TimeOutProg				1000	// 1 sec. for Preset

extern BYTE VoiceEnable, VoicePreset;	// Voice Preset, enabled voice
extern BYTE KeyInstrument, Volume;		// Keyboard Instrument, Volume
extern BYTE Reverb, Tremolo, Chorus;	// Keyboard effects
extern BYTE PreInstrument;				// Instrument Preset


void AKORDopen(BYTE Ux);
void AKORDclose(BYTE Ux);
void AKORDread(BYTE Ux);
void AKORDwrite(BYTE Ux, BYTE Cmd, BYTE Dat1L, BYTE Dat1H);
void AKORDsetChanel(BYTE Ux, BYTE Preset);
void AKORDtask(BYTE Ux);


enum AKORDpreset
{
	prNone						= 0,	// Lo, Mid, MidPitch, Hi
	prLM						= 0x01,	// C4
	prMM						= 0x02,
	prHM						= 0x03,
	prLMH						= 0x04,
	prLMM						= 0x05,	// E4
	prHMM						= 0x06,
	prLMMH						= 0x07,
	prMMM						= 0x08,	// G4
	prL							= 0x09,
	prM							= 0x0A,
	prH							= 0x0B,
	prOff						= 0x0C,	// H4
};


#endif		

