/*********************************************************************
 *
 *                  MTimer.h
 *                  A50akord
 *
 * v.1.1 - 15.07.2021, L.Pekny - ATmega
 * v.1.0 - 04.05.2020, L.Pekny
 ********************************************************************/

#ifndef __MTIMER_H__
#define __MTIMER_H__

#define Fclk 					(8000000/8UL)
#define countPerMicroSec		(Fclk/1000000)			// 1
#define count1msec				(Fclk/1000)				// 1000
#define count1sec				(Fclk)

//Set value for init Timer1
#define	cTim1per				(count1msec-1)			// 1 ms period
#define cTim1cfgA				(0<<WGM10);				// CTC, no output pin
#define cTim1cfgB				((1<<WGM12)|(2<<CS10));	// CTC, clk=Fcpu/8

#define VTSYS					0						// Virtual timer
#define VTPROG					1						// Virtual timer On Program Change

#define TIMER1_INT				TIMER1_COMPA_vect

extern DWORD Time1ms;									// Time in ms
extern DWORD VTim[];									// Virtual timers

void TIM1open(void);
void TIM1close(void);
WORD TIM1read(void);
void TIM1write(WORD T1period);

void Delay_us(WORD us);									// max. 1000 us
void Delay_ms(WORD ms);									// max. 65 sec.
void StartVTim(BYTE index);
char isVTim(BYTE index, DWORD waitms);


#endif		

