/*********************************************************************
 *
 *                  Pin.h
 *                  A50akord
 *
 * v.1.1 - 15.07.2021, L.Pekny - ATmega
 * v.1.0 - 11.07.2019, L.Pekny
 ********************************************************************/

#ifndef __PIN_H__
#define __PIN_H__


void PINopen(void);
void PINclose(void);


#define pRUP				1
#define pOUT				1
#define pIN					0


// Pin name					position
#define pTX					1				// D1 out H
#define pRX					0				// D0 in
#define pLED				5				// B5 out H
#define pXT1				6				// B6 Xtal
#define pXT2				7				// B7 Xtal


//Set out value and direction, cSETx=.., cOUTx=.. 
#define cSETB				(0x3F)
#define cOUTB				(1<<pLED)		// LED out

#define cSETC				(-1)
#define cOUTC				(pIN)			// All in

#define cSETD				(-1)
#define cOUTD				(1<<pTX)		// TX out


//Macros
#define readPORTD			PIND
#define readIO				(PIND & pRX)
#define outPORTB			PORTB
#define SetLED				PORTB|=(1<<pLED)
#define ClrLED				PORTB&=~(1<<pLED)


#endif		

