/*********************************************************************
 *
 *                  UartBuf.h
 *                  A50akord
 *
 * v.1.1 - 31.07.2021, L.Pekny - ATmega
 * v.1.0 - 21.08.2019, L.Pekny - PIC32
  *********************************************************************/

#ifndef __UARTBUF_H__
#define __UARTBUF_H__


#define DEF_BAUDRATE1			115200
#define DEF_BAUDRATE2			9600
#define MIDI_BAUDRATE			31250

#define UARTpss					0		// Internal MIDI
//#define UARText				1		// External MIDI

#define UartBufSize				256		// 2^n
#define UartCntMask				0xFF	// Counter mask

#define UART0_RECEIVE_INT		USART_RX_vect
#define UART0_TRANSMIT_INT		USART_UDRE_vect
#define UART0_STATUS			UCSR0A
#define UART0_CTRLA				UCSR0A
#define UART0_CTRLB				UCSR0B
#define UART0_CTRLC				UCSR0C
#define UART0_DATA				UDR0
#define UART0_UDRIE				UDRIE0

typedef struct
{
	BYTE		RXbuf[UartBufSize];
	BYTE		TXbuf[UartBufSize];
	BYTE		RXrd, RXwr;				// Counter for RXbuf
	BYTE		TXrd, TXwr;				// Counter for TXbuf
	BYTE		RXerr,TXerr;			// Error flags
	BYTE		Speed;					// Baudrate index
} UARTblk;

extern UARTblk UART[];

void UARTopen(BYTE Ux);
void UARTclose(BYTE Ux);
BYTE UARTread(BYTE Ux);
void UARTwrite(BYTE Ux, BYTE value);
BYTE isUARTread(BYTE Ux);
BYTE isUARTreadT(BYTE Ux, BYTE T);
BYTE isUARTwrite(BYTE Ux);
BYTE isUARTbusy(BYTE Ux);
void UARTinit(BYTE Ux);
void UARTspeed(BYTE Ux, BYTE value);
void UARTwriteS(BYTE Ux, const char *string);

#endif
		

